<?php

/**
 * @file
 *   Drush integration for DRD.
 */

use Drupal\drd\Entity\DrdDomain;
use Drupal\drd\Plugin\DrdActionRemoteBase;
use Drupal\user\Entity\User;

/**
 * Implementation of hook_drush_command().
 */
function drd_drush_command() {
  $items = [];

  $items['drd-action'] = [
    'arguments' => [
      'domain' => t('The entity id of the domain for which the action should be executed.'),
      'action' => t('The plugin id of the action.'),
    ],
  ];

  return $items;
}

function _drd_drush_promote_user() {
  \Drupal::currentUser()->setAccount(User::load(1));
}

/**
 * Execute an action on a domain
 */
function drush_drd_action($domain_id, $action_key) {
  _drd_drush_promote_user();
  /** @var DrdDomain $domain */
  $domain = \Drupal::entityTypeManager()->getStorage('drd_domain')->load($domain_id);
  DrdActionRemoteBase::response($action_key, $domain);
}
