<?php

/**
 * @file
 * Contains \Drupal\drd\Command\DrdActionBlocksCommand.
 */

namespace Drupal\drd\Command;

use Symfony\Component\Console\Helper\HelperSet;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;

/**
 * Class DrdActionBlocksCommand.
 *
 * @package Drupal\drd
 */
class DrdActionBlocksCommand extends DrdCommandRemoteActionBase {

  public function __construct(HelperSet $helperSet) {
    parent::__construct($helperSet);
    $this->action_key = 'drd_action_blocks';
  }

  /**
   * {@inheritdoc}
   */
  protected function configure() {
    parent::configure();
    $this
      ->setName('drd:action:blocks')
      ->setDescription($this->trans('command.drd.action.blocks.description'))
      ->addOption(
        'module',
        NULL,
        InputOption::VALUE_OPTIONAL,
        $this->trans('command.drd.action.blocks.arguments.module')
      )
      ->addOption(
        'delta',
        NULL,
        InputOption::VALUE_OPTIONAL,
        $this->trans('command.drd.action.blocks.arguments.delta')
      );
  }

  /**
   * @inheritDoc
   */
  protected function setActionArguments($action, InputInterface $input) {
    parent::setActionArguments($action, $input);
    if ($module = $input->getOption('module')) {
      $action->setActionArgument('module', $module);
    }
    if ($delta = $input->getOption('delta')) {
      $action->setActionArgument('delta', $delta);
    }
  }

}
