<?php

/**
 * @file
 * Contains \Drupal\drd\Command\DrdActionDnsLookupCommand.
 */

namespace Drupal\drd\Command;

use Symfony\Component\Console\Helper\HelperSet;
use Symfony\Component\Console\Input\InputOption;

/**
 * Class DrdActionDnsLookupCommand.
 *
 * @package Drupal\drd
 */
class DrdActionDnsLookupCommand extends DrdCommandLocalActionBase {

  public function __construct(HelperSet $helperSet) {
    parent::__construct($helperSet);
    $this->action_key = 'drd_action_dnslookup';
  }

  /**
   * {@inheritdoc}
   */
  protected function configure() {
    parent::configure();
    $this
      ->setName('drd:action:dnslookup')
      ->setDescription($this->trans('command.drd.action.dnslookup.description'))
      ->addOption(
        'host-id',
        'hid',
        InputOption::VALUE_OPTIONAL,
        $this->trans('command.drd.action.dnslookup.arguments.host-id')
      );
  }

}
