<?php

/**
 * @file
 * Contains \Drupal\drd\Command\DrdActionPhpCommand.
 */

namespace Drupal\drd\Command;

use Symfony\Component\Console\Helper\HelperSet;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;

/**
 * Class DrdActionPhpCommand.
 *
 * @package Drupal\drd
 */
class DrdActionPhpCommand extends DrdCommandRemoteActionBase {

  public function __construct(HelperSet $helperSet) {
    parent::__construct($helperSet);
    $this->action_key = 'drd_action_php';
  }

  /**
   * {@inheritdoc}
   */
  protected function configure() {
    parent::configure();
    $this
      ->setName('drd:action:php')
      ->setDescription($this->trans('command.drd.action.php.description'))
      ->addArgument(
        'php',
        InputArgument::REQUIRED,
        $this->trans('command.drd.action.php.arguments.php')
      );
  }

  /**
   * @inheritDoc
   */
  protected function setActionArguments($action, InputInterface $input) {
    parent::setActionArguments($action, $input);
    $action->setActionArgument('php', $input->getArgument('php'));
  }

}
