<?php

/**
 * @file
 * Contains \Drupal\drd\Command\DrdCommandActionBase.
 */

namespace Drupal\drd\Command;

use Drupal\drd\Entity\DrdDomain;
use Drupal\drd\Plugin\DrdActionBase;
use Drupal\drd\Plugin\DrdActionLocalBase;
use Drupal\drd\Plugin\DrdActionRemoteBase;
use Drupal\drd\Remote\DrdActionInterface;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Class DrdCommandActionBase.
 *
 * @package Drupal\drd
 */
abstract class DrdCommandActionBase extends DrdCommandBase {

  protected $action_key;

  /**
   * {@inheritdoc}
   */
  protected function configure() {
    parent::configure();
  }

  /**
   * {@inheritdoc}
   */
  protected function execute(InputInterface $input, OutputInterface $output) {
    $this->promoteUser();

    $action = DrdActionBase::instance($this->action_key);
    if (!$action || !($action instanceof DrdActionBase)) {
      $output->writeln('No valid action!');
      return;
    }

    $this->setActionArguments($action, $input);
    return $action;
  }

  /**
   * Callback to collect all values from the command line and pass them on to
   * the action before that gets executed.
   *
   * @param DrdActionBase $action
   * @param InputInterface $input
   */
  protected function setActionArguments($action, InputInterface $input) {
  }

}
