<?php

/**
 * @file
 * Contains \Drupal\drd\Controller\DrdDomainController.
 */

namespace Drupal\drd\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\drd\Entity\DrdDomain;

/**
 * Class DrdDomainController.
 *
 * @package Drupal\drd\Controller
 */
class DrdDomainController extends ControllerBase {
  /**
   * Return from remote after initially setting the configuration to then
   * retrieve core details and all other hosted domains.
   *
   * @var DrdDomain $domain
   * @return \Symfony\Component\HttpFoundation\RedirectResponse
   */
  public function returnFromRemote($domain) {
    $core = $domain->getCore();
    $domain->set('installed', 1)->save();

    // Get info from remote
    $domain->initCore($core);

    // Get all remote domains
    $domain->retrieveAllDomains($core);

    return $this->redirect('entity.drd_core.collection');
  }

}
