<?php

/**
 * @file
 * Contains \Drupal\drd\DrdCoreInterface.
 */

namespace Drupal\drd;

use Drupal\drd\Entity\DrdDomain;
use Drupal\drd\Entity\DrdHost;
use Drupal\drd\Entity\DrdRelease;

/**
 * Provides an interface for defining Core entities.
 *
 * @ingroup drd
 */
interface DrdCoreInterface extends DrdRemoteInterface {


  /**
   * Gets the Core host.
   *
   * @return DrdHost
   *   Host of the Core.
   */
  public function getHost();

  /**
   * Sets the Core drupal release.
   *
   * @param DrdRelease $release
   *   The Core drupal release.
   *
   * @return \Drupal\drd\DrdCoreInterface
   *   The called Core entity.
   */
  public function setDrupalRelease($release);

  /**
   * Gets the Core drupal release.
   *
   * @return DrdRelease
   *   Drupal release of the Core.
   */
  public function getDrupalRelease();

  /**
   * Sets the Core host.
   *
   * @param DrdHost $host
   *   The Core host.
   *
   * @return \Drupal\drd\DrdCoreInterface
   *   The called Core entity.
   */
  public function setHost($host);

  /**
   * @param array $properties
   * @return array
   */
  public function getDomains($properties = []);

  /**
   * @return DrdDomain
   */
  public function getFirstActiveDomain();

}
