<?php

/**
 * @file
 * Contains \Drupal\drd\DrdQueueManager.
 */

namespace Drupal\drd;
use Drupal\Core\Queue\QueueFactory;
use Drupal\Core\Queue\QueueInterface;
use Drupal\drd\Entity\DrdDomain;
use Drupal\drd\Plugin\DrdActionBase;

/**
 * Easy access to the DRD queue.
 */
class DrdQueueManager {

  /**
   * @return QueueInterface
   */
  private function getQueue() {
    /** @var QueueFactory $queue_factory */
    $queue_factory = \Drupal::service('queue');
    /** @var QueueInterface $queue */
    return $queue_factory->get('drd');
  }

  /**
   * @param DrdActionBase $action
   * @param DrdDomain $entity
   */
  public function createItem($action, $entity) {
    $item = new \stdClass();
    $item->action = $action;
    $item->entity = $entity;
    $item->arguments = $action->getArguments();
    $this->getQueue()->createItem($item);
  }

  /**
   * @param DrdActionBase $action
   * @param DrdDomain[] $entities
   */
  public function createItems($action, $entities) {
    foreach ($entities as $entity) {
      $this->createItem($action, $entity);
    }
  }

}
