<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\DrdCore.
 */

namespace Drupal\drd\Entity;

use Drupal\views\EntityViewsData;
use Drupal\views\EntityViewsDataInterface;

/**
 * Provides Views data for Core entities.
 */
class DrdCoreViewsData extends EntityViewsData implements EntityViewsDataInterface {
  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['drd_core']['table']['base'] = [
      'field' => 'id',
      'title' => $this->t('Core'),
      'help' => $this->t('The Core ID.'),
    ];

    $data['drd_core']['drd_bulk_form'] = [
      'title' => $this->t('Bulk update'),
      'help' => $this->t('Add a form element that lets you run operations on multiple cores.'),
      'field' => [
        'id' => 'drd_bulk_form',
      ],
    ];

    return $data;
  }

}
