<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\DrdHost.
 */

namespace Drupal\drd\Entity;

use Drupal\views\EntityViewsData;
use Drupal\views\EntityViewsDataInterface;

/**
 * Provides Views data for Host entities.
 */
class DrdHostViewsData extends EntityViewsData implements EntityViewsDataInterface {
  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['drd_host']['table']['base'] = [
      'field' => 'id',
      'title' => $this->t('Host'),
      'help' => $this->t('The Host ID.'),
    ];

    $data['drd_host']['drd_bulk_form'] = [
      'title' => $this->t('Bulk update'),
      'help' => $this->t('Add a form element that lets you run operations on multiple hosts.'),
      'field' => [
        'id' => 'drd_bulk_form',
      ],
    ];

    return $data;
  }

}
