<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\DrdMajor.
 */

namespace Drupal\drd\Entity;

use Drupal\views\EntityViewsData;
use Drupal\views\EntityViewsDataInterface;

/**
 * Provides Views data for Major Version entities.
 */
class DrdMajorViewsData extends EntityViewsData implements EntityViewsDataInterface {
  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['drd_major']['table']['base'] = [
      'field' => 'id',
      'title' => $this->t('Major Version'),
      'help' => $this->t('The Major Version ID.'),
    ];

    return $data;
  }

}
