<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\DrdRelease.
 */

namespace Drupal\drd\Entity;

use Drupal\views\EntityViewsData;
use Drupal\views\EntityViewsDataInterface;

/**
 * Provides Views data for Release entities.
 */
class DrdReleaseViewsData extends EntityViewsData implements EntityViewsDataInterface {
  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['drd_release']['table']['base'] = [
      'field' => 'id',
      'title' => $this->t('Release'),
      'help' => $this->t('The Release ID.'),
    ];

    $data['drd_release']['domain_release']['relationship'] = [
      'title' => $this->t('Domain Release'),
      'help' => $this->t('TBD.'),
      'id' => 'standard',
      'base' => 'drd_domain__releases',
      'base field' => 'releases_target_id',
      'field' => 'id',
      'label' => $this->t('releases'),
    ];

    return $data;
  }

}
