<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\DrdRequirement.
 */

namespace Drupal\drd\Entity;

use Drupal\views\EntityViewsData;
use Drupal\views\EntityViewsDataInterface;

/**
 * Provides Views data for Requirement entities.
 */
class DrdRequirementViewsData extends EntityViewsData implements EntityViewsDataInterface {
  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['drd_requirement']['table']['base'] = [
      'field' => 'id',
      'title' => $this->t('Requirement'),
      'help' => $this->t('The Requirement ID.'),
    ];

    $data['drd_requirement']['domain_warning']['relationship'] = [
      'title' => $this->t('Domain Warnings'),
      'help' => $this->t('TBD.'),
      'id' => 'standard',
      'base' => 'drd_domain__warnings',
      'base field' => 'warnings_target_id',
      'field' => 'id',
      'label' => $this->t('warnings'),
    ];

    $data['drd_requirement']['domain_error']['relationship'] = [
      'title' => $this->t('Domain Errors'),
      'help' => $this->t('TBD.'),
      'id' => 'standard',
      'base' => 'drd_domain__errors',
      'base field' => 'errors_target_id',
      'field' => 'id',
      'label' => $this->t('errors'),
    ];

    return $data;
  }

}
