<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Action\DrdActionInfo.
 */

namespace Drupal\drd\Plugin\Action;

use Drupal\drd\Entity\DrdDomain;
use Drupal\drd\Plugin\DrdActionRemoteBase;

/**
 * Provides a 'DrdActionInfo' action.
 *
 * @Action(
 *  id = "drd_action_info",
 *  label = @Translation("Info"),
 *  type = "drd_domain",
 * )
 */
class DrdActionInfo extends DrdActionRemoteBase {
  /**
   * @inheritDoc
   */
  public function execute($domain = NULL) {
    /** @var DrdDomain $domain */
    $response = parent::execute($domain);
    if ($response) {
      $domain
        ->set('name', $response['name'])
        ->cacheGlobals($response['globals'])
        ->cacheRequirements($response['requirements'])
        ->cacheVariables($response['variables'])
        ->save();
      return $response;
    }
    return FALSE;
  }

}
