<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Action\DrdActionPing.
 */

namespace Drupal\drd\Plugin\Action;

use Drupal\drd\Entity\DrdDomain;
use Drupal\drd\Plugin\DrdActionRemoteBase;

/**
 * Provides a 'DrdActionPing' action.
 *
 * @Action(
 *  id = "drd_action_ping",
 *  label = @Translation("Ping"),
 *  type = "drd_domain",
 * )
 */
class DrdActionPing extends DrdActionRemoteBase {
  /**
   * {@inheritdoc}
   */
  public function execute($domain = NULL) {
    /** @var DrdDomain $domain */
    $response = parent::execute($domain);
    if ($response && $response['data'] == 'pong') {
      $this->response['output'] = $response['data'];
      $domain->set('installed', TRUE);
      return TRUE;
    }
    $domain->set('installed', FALSE);
    return FALSE;
  }

}
