<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Block\DomainRequirements.
 */

namespace Drupal\drd\Plugin\Block;

use Drupal\drd\Entity\DrdDomain;

/**
 * Provides a 'DomainRequirements' block.
 *
 * @Block(
 *  id = "domain_requirements",
 *  admin_label = @Translation("Domain requirements"),
 * )
 */
class DomainRequirements extends DomainBlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    if (!$this->isDrdContext()) {
      return [];
    }
    $entity = $this->getEntity();
    if (!($entity instanceof DrdDomain)) {
      return [];
    }

    \Drupal::moduleHandler()->loadInclude('drd', 'install');
    $build['status_report'] = [
      '#theme' => 'status_report',
      '#requirements' => $entity->getRequirements(),
    ];

    return $build;
  }

}
