<?php

namespace Drupal\drd\Plugin\Block;

/**
 * Provides a 'RemoteBlock' block plugin.
 *
 * @Block(
 *   id = "drd_remote_block",
 *   admin_label = @Translation("DRD Remote Block"),
 *   deriver = "Drupal\drd\Plugin\Derivative\RemoteBlock"
 * )
 */
class RemoteBlock extends DomainBlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    if (!$this->isDrdContext()) {
      return;
    }

    list(, $module, $delta) = explode(':', $this->getPluginId());
    $content = $this->domain->getRemoteBlock($module, $delta);
    if (empty($content)) {
      return;
    }

    $build = [];
    $build['remote_block']['#markup'] = $content;

    return $build;
  }

}
