<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\DrdActionBase.
 */

namespace Drupal\drd\Plugin;

use Drupal\Core\Action\ActionBase;

/**
 * Base class for DRD Action plugins.
 */
abstract class DrdActionBase extends ActionBase {

  protected $arguments = array();

  /**
   * @return string|bool
   */
  protected function getFollowUpAction() {
    return FALSE;
  }

  /**
   * @param string $id
   *
   * @return DrdActionBase|bool
   */
  public static function instance($id) {
    $type = \Drupal::service('plugin.manager.action');
    /** @var DrdActionRemoteBase $action */
    $action = $type->createInstance($id);
    if (empty($action) || !($action instanceof DrdActionBase)) {
      return FALSE;
    }
    return $action;
  }

  /**
   * @param string $key
   * @param mixed $value
   */
  public function setActionArgument($key, $value) {
    $this->arguments[$key] = $value;
  }

  /**
   * @param array $arguments
   */
  public function setArguments(array $arguments) {
    $this->arguments = $arguments;
  }

  /**
   * @return array
   */
  public function getArguments() {
    return $this->arguments;
  }

}
