<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\DrdActionRemoteCoreBase.
 */

namespace Drupal\drd\Plugin;

use Drupal\drd\Entity\DrdCore;
use Drupal\drd\Entity\DrdDomain;

/**
 * Base class for DRD Remote Core Action plugins.
 */
abstract class DrdActionRemoteCoreBase extends DrdActionRemoteBase {

  /**
   * @var DrdDomain
   */
  protected $domain;

  /**
   * Default action which can and should be overwritten by implementations.
   *
   * @param DrdCore $core
   * @return array
   */
  public function execute($core = NULL) {
    if (empty($core)) {
      return FALSE;
    }
    $this->domain = $core->getFirstActiveDomain();
    return parent::execute($this->domain);
  }

}
