<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Field\FieldFormatter\IPv4FieldFormatter.
 */

namespace Drupal\drd\Plugin\Field\FieldFormatter;

use Drupal\Component\Utility\Html;
use Drupal\Core\Field\FieldItemInterface;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Plugin implementation of the 'ipv4field_formatter' formatter.
 *
 * @FieldFormatter(
 *   id = "ipv4field_formatter",
 *   label = @Translation("IP v4"),
 *   field_types = {
 *     "integer"
 *   }
 * )
 */
class IPv4FieldFormatter extends FormatterBase {
  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];

    foreach ($items as $delta => $item) {
      $elements[$delta] = ['#markup' => long2ip($item->value)];
    }

    return $elements;
  }

}
