<?php

/**
 * @file
 * Contains Drupal\drd\Plugin\QueueWorker\DrdBase.php
 */

namespace Drupal\drd\Plugin\QueueWorker;

use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Drupal\Core\Queue\QueueWorkerBase;
use Drupal\drd\Plugin\DrdActionBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Provides base functionality for the Drd Queue Workers.
 */
abstract class DrdBase extends QueueWorkerBase implements ContainerFactoryPluginInterface {

  /**
   * @inheritDoc
   */
  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    return new static($configuration, $plugin_id, $plugin_definition);
  }

  /**
   * {@inheritdoc}
   */
  public function processItem($data) {
    if (!empty($data->action) && $data->action instanceof DrdActionBase) {
      $data->action->setArguments($data->arguments);
      $data->action->execute($data->entity);
    }
  }

}
