<?php

/**
 * @file
 * Contains \Drupal\drd\Remote\Action6\DrdActionBlocks.
 */

namespace Drupal\drd\Remote\Action6;

/**
 * Provides a 'DrdActionBlocks' code.
 */
class DrdActionBlocks extends DrdActionBase {

  private function listBlocks() {
    $block_list = array();
    foreach (module_implements('block_info') as $module) {
      foreach (module_invoke($module, 'block_info') as $delta => $block) {
        $block_list[$module][$delta] = $block['info'];
      }
    }
    return $block_list;
  }

  private function renderBlock($module, $delta) {
    $block = (object) module_invoke($module, 'block', 'view', $delta);
    return theme('block', $block);
  }

  /**
   * @inheritDoc
   */
  public function execute() {
    if(!module_exists('block')) {
      return array();
    }
    $args = $this->getArguments();
    if (!empty($args['module']) && !empty($args['delta'])) {
      return array(
        'data' => $this->renderBlock($args['module'], $args['delta']),
      );
    }
    return $this->listBlocks();
  }

}
