<?php

/**
 * @file
 * Contains \Drupal\drd\Remote\Action6\DrdActionInfo.
 */

namespace Drupal\drd\Remote\Action6;

/**
 * Provides a 'DrdActionInfo' code.
 */
class DrdActionInfo extends DrdActionBase {
  /**
   * @inheritDoc
   */
  public function execute() {
    // Initial set of information.
    $result = array(
      'root' => DRUPAL_ROOT,
      'version' => VERSION,
      'name' => variable_get('site_name', ''),
    );

    // Load .install files.
    include_once DRUPAL_ROOT . '/includes/install.inc';
    drupal_load_updates();
    // Check run-time requirements and status information.
    $result['requirements'] = module_invoke_all('requirements', 'runtime');

    $vars = $GLOBALS;
    $result['variables'] = $vars['conf'];
    unset($vars['conf']);
    $result['globals'] = $vars;

    return $result;
  }

}
