<?php

/**
 * @file
 * Contains \Drupal\drd\Remote\Action7\DrdActionDomainsEnableAll.
 */

namespace Drupal\drd\Remote\Action7;

/**
 * Provides a 'DrdActionDomainsEnableAll' code.
 */
class DrdActionDomainsEnableAll extends DrdActionBase {
  /**
   * @inheritDoc
   */
  public function execute() {
    $args = $this->getArguments();
    $result = array();

    $drush = $drupalconsole = FALSE;
    if (!empty($args['drush'])) {
      exec($args['drush'] . ' --version', $output, $ret);
      $drush = ($ret == 0);
    }

    if ($drush || $drupalconsole) {
      foreach ($args['urls'] as $url => $token) {
        exec($args['drush'] . ' -y en drd_remote --uri=' . $url . ' --root=' . DRUPAL_ROOT, $output, $ret);
        if ($ret == 0) {
          exec($args['drush'] . ' -y drd-remote-setup --uri=' . $url . ' --root=' . DRUPAL_ROOT . ' ' . $token, $output, $ret);
          if ($ret == 0) {
            $result[] = $url;
          }
        }
      }
    }

    return $result;
  }

}
