<?php

/**
 * @file
 * Contains \Drupal\drd\Remote\Action7\DrdActionMaintenanceMode.
 */

namespace Drupal\drd\Remote\Action7;

/**
 * Provides a 'DrdActionMaintenanceMode' code.
 */
class DrdActionMaintenanceMode extends DrdActionBase {
  /**
   * @inheritDoc
   */
  public function execute() {
    $args = $this->getArguments();
    if ($args['mode'] == 'getStatus') {
      return array(
        'data' => variable_get('maintenance_mode', FALSE),
      );
    }
    else {
      variable_set('maintenance_mode', ($args['mode'] == 'on'));
      cache_clear_all('*', 'cache_page', TRUE);
    }
    return array();
  }

}
