<?php

/**
 * @file
 * Contains \Drupal\drd\Remote\Action8\DrdActionProjects.
 */

namespace Drupal\drd\Remote\Action8;

/**
 * Provides a 'DrdActionProjects' code.
 */
class DrdActionProjects extends DrdActionBase {
  /**
   * @inheritDoc
   */
  public function execute() {
    $projects = [];
    foreach (system_rebuild_module_data() as $name => $extension) {
      $this->buildProjectInfo($projects, 'module', $name, $extension);
    }
    foreach (\Drupal::getContainer()->get('theme_handler')->rebuildThemeData() as $name => $extension) {
      $this->buildProjectInfo($projects, 'theme', $name, $extension);
    }
    return $projects;
  }

  private function buildProjectInfo(&$projects, $type, $name, $extension) {
    $projects[] = [
      'name' => $name,
      'type' => $type,
      'status' => $extension->status,
      'info' => $extension->info,
    ];
  }

}
