<?php

/**
 * @file
 * Contains \Drupal\drd\Remote\Auth7\DrdAuthBase.
 */

namespace Drupal\drd\Remote\Auth7;

/**
 * Base class for Remote DRD Auth Methods for Drupal 7.
 */
abstract class DrdAuthBase extends \Drupal\drd\Remote\DrdAuthBase {
  /**
   * @inheritDoc
   */
  final public function validateUUID($uuid) {
    $authorised = variable_get('drd_remote_authorised', array());
    if (empty($authorised[$uuid])) {
      return FALSE;
    }
    $this->stored_settings = (array) $authorised[$uuid]['authsetting'];
    return TRUE;
  }

}
