<?php

/**
 * @file
 * Contains \Drupal\drd\Remote\Auth8\DrdAuthBase.
 */

namespace Drupal\drd\Remote\Auth8;

/**
 * Base class for Remote DRD Auth Methods for Drupal 8.
 */
abstract class DrdAuthBase extends \Drupal\drd\Remote\DrdAuthBase {
  /**
   * @inheritDoc
   */
  final public function validateUUID($uuid) {
    $config = \Drupal::configFactory()->get('drd_remote.settings');
    $authorised = $config->get('authorised');
    if (empty($authorised[$uuid])) {
      return FALSE;
    }
    $this->stored_settings = (array) $authorised[$uuid]['authsetting'];
    return TRUE;
  }

}
